package com.pms.ocp.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.pms.ocp.model.dto.TenanBaseDto;
import com.pms.ocp.model.entity.OcpTenantGroup;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@Mapper
public interface TenantMapper extends BaseMapper<OcpTenantGroup> {


    /**
     *应用一级查询顶级服务
     * @param
     * @return
     */
    List<OcpTenantGroup> oneTenantGroup();


    //二级目录树
   List<OcpTenantGroup> twoTenantGroups(String tenantGroupCode,String tenantGroupCompanyCode);

    List<OcpTenantGroup>  selectTenantGroups(String tenantGroupCode,String tenantGroupCompanyCode);

    List<OcpTenantGroup> selectTenantGroup(String tenantGroupCompanyCode);


    List<OcpTenantGroup> selectGroups(String tenantGroupCompanyCode);


    //服务树--查询
    List<OcpTenantGroup> selectTenantGroupsList(String tenantGroupCode,String tenantGroupCompanyCode);


    List<OcpTenantGroup> selectGroupsList(String tenantGroupCompanyCode,String tenantGroupName);

    /**
     * 根据code查询这条数据
     */
    OcpTenantGroup selectGroupCode(String tenantGroupCode);

}
